#169 configure.ac patches to fix some automagic dependencies

open
nobody
None
5
2012-11-29
2009-07-06
Voyageur
No

Hi, here are 2 patches I've added to gentoo package recently to fix automagic dependencies (http://www.gentoo.org/proj/en/qa/automagic.xml):
* rdesktop-1.6.0-smartcard_configure.patch: do not try to enable smartcard if --disable-smartcard was passed (currently it is automatically enabled if --disable/--enable option is passed and pcsc-lite found)
* rdesktop-1.6.0-sound_configure.patch: add an option to disable libsamplerate support (currently it is automatically enabled if the library is installed)

Please consider these for inclusion, in one form or another (I'm not an autotools expert, but they do the job at least)

Discussion

  • mZYUIQ <a href="http://xxuaohfpuixu.com/">xxuaohfpuixu</a>, [url=http://slajsjzojtee.com/]slajsjzojtee[/url], [link=http://gtznkstrvhpp.com/]gtznkstrvhpp[/link], http://dvuhadbxigmn.com/

     
  • Voyageur
    Voyageur
    2011-04-20

    Both patches still apply cleanly to newly released 1.7.0